# Contributing

Contributing is simple enough, just make sure to try and follow these guidelines to ensure your Issue/PR is dealt with faster:

1. If possible, please [open an Issue](https://github.com/tycrek/degoogle/issues/new/choose) before opening a Pull Request. We can use Issue's for discussion on adding/removing/modifying alternatives.
2. English only for Issues & Pull Requests.
3. Try to fill out as much info as you can. This makes it easier for me to quickly approve changes.
4. No personal opinions on why a service should be removed. Links to articles with details is much more helpful.
5. Try to use the Issue templates if possible, but they are not necessary.
6. Try to limit yourself to ONE alternative per Issue. Pull Requests are OK to have multiple additions.
7. Check to see if the alternative you want added already exists in the guide.

If you submitted a change that made it into the guide but don't have your Reddit or GitHub username on the [CONTRIBUTORS.md](https://github.com/tycrek/degoogle/blob/master/CONTRIBUTORS.md) list, let me know! Sometimes I forget. Alternatively, if your username is on the list and you do *not* want it there, let me know.

## Formatting

To keep the guide consistent & clean, try to follow these formatting rules:

1. The alternative entry must be **indented with two spaces** before the hyphen.
2. Use `[square brackets](regular brackets)` for links instead of referenced links `[square brackets][1]`
3. Separate the link and the description with **space, hypen, space**.
4. If applicable, add an "eyes" disclaimer. Eyes disclaimers must be in bold. The number and "eyes" are connected with a hyphen.
5. Try to avoid spelling mistakes. If they show up I can always fix them.

**Sample**

```markdown
- Google Service
  - [Alternative Name](https://example.org) - A brief description of the alternative.
  - [Another one](https://example.com) - **9-eyes** - If applicable, mention paid plans.
```

- Google Service
  - [Alternative Name](https://alternative.link) - A brief description of the alternative.
  - [Another one](https://example.com) - **9-eyes** - If applicable, mention paid plans.
